> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取爬取状态

> 注意：此 API 的全新 [v2 版本](/zh/api-reference/endpoint/crawl-get) 现已推出，功能和性能均有所提升。


## OpenAPI

````yaml zh/api-reference/v1-openapi.json GET /crawl/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: 用于与 Firecrawl 服务交互，以进行网页抓取和爬取任务的 API。
  title: Firecrawl API
  version: v1
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    parameters:
      - description: 抓取任务 ID
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Crawling
      summary: 获取爬取任务状态
      operationId: getCrawlStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponseObj'
          description: 成功的响应
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: 需要付费
        '429':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
                    type: string
                type: object
          description: 请求过多
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: An unexpected error occurred on the server.
                    type: string
                type: object
          description: 服务器错误
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      properties:
        completed:
          description: 成功爬取的页面数量。
          type: integer
        creditsUsed:
          description: 本次爬取所消耗的额度数。
          type: integer
        data:
          description: 爬取数据。
          items:
            properties:
              html:
                description: 当 `includeHtml` 为 true 时，页面内容的 HTML 格式版本
                nullable: true
                type: string
              links:
                description: 当 `includeLinks` 为 true 时，页面上的链接列表
                items:
                  type: string
                type: array
              markdown:
                type: string
              metadata:
                properties:
                  '<any other metadata> ':
                    description: 从 HTML 中提取的其他元数据，可以为字符串或字符串数组
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  description:
                    description: 从页面提取的描述信息，可以是字符串或字符串数组
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  error:
                    description: 页面错误信息
                    nullable: true
                    type: string
                  keywords:
                    description: 从页面提取的关键词，可以是字符串或字符串数组。
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  language:
                    description: 从页面中提取的语言，可以是字符串或字符串数组
                    nullable: true
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  numPages:
                    description: 对于 PDF 输入，表示已解析的页数（受 parser 的 maxPages 选项上限限制）。
                    type: integer
                  ogLocaleAlternate:
                    description: 页面的其他语言版本
                    items:
                      type: string
                    type: array
                  sourceURL:
                    format: uri
                    type: string
                  statusCode:
                    description: 页面状态码
                    type: integer
                  title:
                    description: 从页面中提取的标题，可以是一个字符串或字符串数组
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  totalPages:
                    description: >-
                      对于 PDF 输入，表示文档在未受 maxPages 限制前的实际总页数。若无法确定则省略；如果
                      totalPages 大于 numPages，则表示结果已被截断。
                    type: integer
                type: object
              rawHtml:
                description: 如果 `includeRawHtml` 为 true，则返回页面的原始 HTML 内容
                nullable: true
                type: string
              screenshot:
                description: '`includeScreenshot` 为 true 时的页面截图'
                nullable: true
                type: string
            type: object
          type: array
        expiresAt:
          description: 抓取任务到期的日期和时间。
          format: date-time
          type: string
        next:
          description: 用于获取后续 10MB 数据的 URL。如果抓取尚未完成或响应大小超过 10MB，则会返回该字段。
          nullable: true
          type: string
        status:
          description: 当前爬取任务的状态。可能为 `scraping`、`completed` 或 `failed` 之一。
          type: string
        total:
          description: 尝试爬取的页面总数。
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````